Program tstsinser;

{ Version 1.0
  File:[22,311]TSTSINSER.PAS
  Author: Jim Bostwick 
  History:

  Last Edit: 18-OCT-1984 12:18:18 

Testing P3UTIL module(s):
  SINSERT
}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'EX:[22,320]GENERAL3.TYP';
%INCLUDE 'EX:[22,320]string.pkg';

{$list}

type 
  string = packed array [0..100] of char;

var
  outln,str,ins:string;
  i,j,k:integer;

BEGIN
  { set up base string in str }
  
  sassign(str,'12345678901234567890');
  writeln('sinsert test');
  schassign(ins,'*');
  for j := 1 to 5 do
    begin 
    for i := 1 to slen(str) do 
      begin 
      outln := str;
      sinsert(outln,ins,i);
      swrite(output,outln);
      writeln;
      writeln('i=',i, 'len=',slen(outln))
      END;
    schconcat(ins,'*')
    END
  END.
